id: form.wsprovider.contact
type: App\Forms\SubformFormManager
fields:
  field_changed:
    id: field_changed
    type: date
    label: Changed
    description: 'Last change time.'
    indexable: true
    internal: true
    deprecated: false
    settings:
      required: false
      multivalued: false
      weight: 0
      meta: {  }
      sort: true
      filter: true
  field_created:
    id: field_created
    type: date
    label: Created
    description: 'Creation time.'
    indexable: true
    internal: true
    deprecated: false
    settings:
      required: false
      multivalued: false
      weight: 0
      meta: {  }
      sort: true
      filter: true
  field_country:
    id: field_country
    type: country_reference
    label: Country
    description: 'Owner country.'
    indexable: true
    internal: true
    deprecated: false
    settings:
      required: true
      multivalued: false
      weight: 0
      meta: {  }
      sort: true
      filter: true
  field_name:
    id: field_name
    type: short_text
    label: 'Name of person interviewed'
    description: ''
    indexable: false
    internal: false
    deprecated: false
    settings:
      required: false
      multivalued: false
      weight: 0
      meta:
        catalog_id: 0.3.1
      sort: false
      filter: false
      max-length: 255
  field_occupation:
    id: field_occupation
    type: short_text
    label: Occupation
    description: ''
    indexable: false
    internal: false
    deprecated: false
    settings:
      required: false
      multivalued: false
      weight: 0
      meta:
        catalog_id: 0.3.2
      sort: false
      filter: false
      max-length: 255
  field_phone:
    id: field_phone
    type: phone
    label: 'Telephone number'
    description: ''
    indexable: false
    internal: false
    deprecated: false
    settings:
      required: false
      multivalued: false
      weight: 0
      meta:
        catalog_id: 0.3.3
      sort: false
      filter: false
  field_mail:
    id: field_mail
    type: mail
    label: 'Email address'
    description: ''
    indexable: false
    internal: false
    deprecated: false
    settings:
      required: false
      multivalued: false
      weight: 0
      meta:
        catalog_id: 0.3.4
      sort: false
      filter: false
  field_consent_use:
    id: field_consent_use
    type: radio_boolean
    label: 'Consent to use information for SIASAR'
    description: ''
    indexable: false
    internal: false
    deprecated: false
    settings:
      required: false
      multivalued: false
      weight: 0
      meta:
        catalog_id: 0.3.5
      sort: false
      filter: false
      true_label: 'Yes'
      false_label: 'No'
      show_labels: true
title: 'WSP Interviewee(s)/contacts'
description: 'List of water service provider contacts listed in field 0.3 of Water Service Provider form.'
endpoint:
  collection:
    get: false
    post: true
  item:
    get: true
    put: true
    delete: true
    patch: true
meta:
  title: Interviewee(s)/contacts
  version: 'Version 12.8 – August 2022'
  parent_form: form.wsprovider
  table_fields:
    - field_created
    - field_name
  field_groups:
    -
      id: '0'
      title: 'QUESTIONNAIRE DATA'
      children:
        '0.3':
          id: '0.3'
          title: Interviewee(s)/contacts
requires: {  }
